<!DOCTYPE html>
<html lang="fr" class="w-full h-full">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><%- title %></title>
    <link rel="stylesheet" href="/public/output.css">
    <script src="https://kit.fontawesome.com/ed1b38c34e.js" crossorigin="anonymous"></script>
    <script>
        const needConnectionMsg = 'Vous devez être connecté pour effectuer cette action !';
    </script>

    <% if (!isConnected) { %>
            <script>
                const isConnected = false;
            </script>
            <% } else { %> }
                    <script>
                        const isConnected = true;
                    </script>
                    <% } %>
</head>

<body class="w-full h-full flex flex-col">

    <header class="flex fixed top-0 w-full h-14 border-b items-center px-4 bg-white z-10">
        <div class="flex h-full max-w-6xl justify-between mx-auto w-full items-center">
            <div class="flex gap-6 h-full">
                <% for (let el of ['Accueil:/', 'Cartes graphiques:/listing' ,'Supprimer une marque:/remove-brand', 'Liste des commentaires:/comments' ]) { %>
                    <a href="<%- el.split(':')[1] %>" class="h-full flex items-center hover:text-blue-600"><%-
                            el.split(':')[0] %></a>
                    <% } %>
            </div>

            <% if (!isConnected) { %>
                <a href="/login" class="h-full flex items-center hover:text-blue-600">Se connecter</a>
                <% } else { %>
                    <a href="/profile" class="h-full flex items-center hover:text-blue-600"><%- user.username %></a>
                    <% } %>
        </div>
    </header>


    <div id="message"
        class="rounded-lg fixed bottom-10 mx-auto px-5 py-2 z-10 bg-gray-700 text-white left-0 right-0 w-fit hidden"><%-
            message %></div>

    <script>
        function createMessage(msg) {
            document.querySelector('#message').innerText = msg
            document.querySelector('#message').classList.remove('hidden')
            setTimeout(() => {
                document.querySelector('#message').classList.add('hidden')
            }, 2500)
        }
    </script>
    <% if (message) { %>
        <script>
            createMessage(`<%- message %>`)
        </script>
        <% } %>

            <main class="px-4 pt-16 w-full flex-1 flex flex-col max-w-6xl mx-auto">